function onBegin()
    if not getFlag("LinjDownZ") then
	makeUnskippable()
	disableRetry()
		getLevel().SaveQuitDisabled = true
		player.ForceCameraUpdate = true
		disableMovement()
		waitUntilOnGround ()
        say("Downside2_Linj_DownZ")
    end
end

function onEnd()
    player.ForceCameraUpdate = false
    enableMovement()
    setFlag("LinjDownZ", true)
end